document.querySelector("#tipoproducto").addEventListener("change",(e)=>{
    terminado1();
})


function terminado1(){
    let valor=document.getElementById("tipoproducto").value; 
    // console.log(valor)
    let valoreparaterminado=document.getElementById("valoresTerminado");
    if(valor=="terminado1"){
        valoreparaterminado.removeAttribute("hidden");
        

    }else{
        valoreparaterminado.setAttribute("hidden","hidden");
    }
}


//funcion buscar prodctos
buscarProductos = (id,tipobusqueda, bodega) => {

    
    if(bodega==0){
        alert("No ha selecionado una bodega")
    }else{
            return new Promise(resolve => {

                if(tipobusqueda=="Codigo"){
                    $.ajax({
                        data: { "prod": id, "bodega": bodega }, //datos que se envian a traves de ajax
                        url: "../controlador/config/productos.php", //archivo que recibe la peticion
                        type: 'post', //método de envio
            
                        
                        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
                            //$("#resultado").html(response);
                            var respuest = JSON.parse(response);
            
                            var codigo = respuest["codigo"];
            
                            if (codigo) {
                              
                                return resolve(respuest);
            
            
                            }
                        }
                        });
                    




                }else{

                $.ajax({
                    data: { "producto": id, "bodega": bodega,"ubicacionB":"sin"}, //datos que se envian a traves de ajax
                    url: "../controlador/config/productos.php", //archivo que recibe la peticion
                    type: 'post', //método de envio
            
                    // beforeSend: function() {
                    //     $('#modalcarga').modal('show');
            
                    // },
            
                    success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
                       
                       
                        var respuest = JSON.parse(response);
                        return resolve(respuest);
                    }
                });

            }
                
            });
}

} //buscar Producto por nombre


document.querySelector("#busproductots").addEventListener("keypress", async function(e) {


tipobusqueda = document.querySelector("#tipobusquedats").value;
varlobuscado = document.querySelector("#busproductots").value;
bodega=document.querySelector("#idbodegas").value;


if (e.keyCode == 13) {
    if (tipobusqueda == "Nombre") {
        let opciones = [];
        let campoproductos = document.querySelector("#productosts");

        let data = await buscarProductos(varlobuscado, tipobusqueda,bodega)
        
        data.forEach(valor => {
           
            let item = `<option  value="${valor.codigo}">${valor.nombre}</option>`
            opciones.push(item);
        });
        opciones.join("");
        campoproductos.innerHTML = opciones;



    } else {
        if (tipobusqueda == "Codigo") {
            let data = await buscarProductos(varlobuscado, tipobusqueda,bodega)

            document.querySelector("#busproductots").value = data.codigo;
            document.querySelector("#nombreProductots").value = data.nombre;
            document.querySelector("#factorrt").value= data.factor;
            document.querySelector("#tipoProdttt").value= data.tipoProducto;
            document.querySelector("#cajaAts").focus();

            
        }
    }
}



});

document.querySelector("#buscadorts").addEventListener("click", async function() {

let bodega=document.querySelector("#idbodegas").value;

varlobuscado = document.querySelector("#busproductots").value;
let data = await buscarProductos(varlobuscado, "Codigo",bodega);

document.querySelector("#busproductots").value = data.codigo;
document.querySelector("#nombreProductots").value = data.nombre;
document.querySelector("#factorrt").value= data.factor;
document.querySelector("#tipoProdttt").value= data.tipoProducto;
document.querySelector("#cajaAts").focus();


})


//funcion agregar productos

document.querySelector("#agregarprtrasts").addEventListener("click",function(){
let codigoProdutPadre=document.getElementById("invcodigo").value;
    let bodega= document.querySelector("#inbodega").value;
 let codigo=   document.querySelector("#busproductots").value;
let  nombre=document.querySelector("#nombreProductots").value;
let factor=document.querySelector("#factorrt").value;
let caja= document.querySelector("#cajaAts").value;
let frcc= document.querySelector("#frccAts").value;
let tipoProducto=document.querySelector("#tipoProdttt").value;

if(frcc==""|| frcc==" "|| frcc==null||frcc=="NULL"){
    frcc=0;
}
if(caja==""|| caja==" "|| caja==null||caja=="NULL"){
    caja=0;
}


if(factor==0 && frcc>0){
    alert("El producto No esta Habilitado para Fraccion");

}else{

    if(tipoProducto=="Fabricacion" ||tipoProducto=="hibrido" ){


                if(caja==0 && frcc==0){
                    alert("NO ha puesto una cantidad");
                }else{

                    $.ajax({
                        data: {"codigoProdutPadre":codigoProdutPadre, "producto": codigo, "bodega": bodega,"nombre":nombre,"caja":caja,"frcc":frcc}, //datos que se envian a traves de ajax
                        url: "../controlador/config/terminado1.php", //archivo que recibe la peticion
                        type: 'post', //método de envio

                        // beforeSend: function() {
                        //     $('#modalcarga').modal('show');

                        // },

                        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
                        
                        
                            // var respuest = JSON.parse(response);
                            
                            if(response=="ok"){

                            let dato = `    
                                    <tr>
                                        <th style="mso-number-format:'@';">${codigo}</th>
                                        <th style="mso-number-format:'@';">${nombre}</th>
                                        <th > ${caja}</th>
                                        <th > ${frcc}</th>
                                        <th > ${bodega}</th>
                                        
                                        <th ><button type="button" class="btn btn-primary" value="Quitar">Quitar</button></th>
                                    
                                        
                                    </tr>
                                    `
                                    let produc = document.querySelector("#terminados");
                                    produc.insertRow(0).innerHTML = dato;



                                    document.querySelector("#busproductots").value="";
                                    nombre=document.querySelector("#nombreProductots").value="";
                                    document.querySelector("#factorrt").value="";
                                    document.querySelector("#cajaAts").value="";
                                    document.querySelector("#frccAts").value="";
                            }else{
                                alert("El Producto Ya esta Asiganado");
                            }
                        
                        }
                    });

                }





    }else{

        alert("El Producto Debe de estar marcado como Fabricacion o hibrido");
    }

    

}


})




//function quitar productos tabla terminados
document.querySelector("#terminados").addEventListener("click", function(e) {

    let codigoProdutPadre=document.getElementById("invcodigo").value;
    if (e.target.value == "Quitar") {
        let codigoP = e.target.parentElement.parentElement.getElementsByTagName("th")[0].innerText;
    
        let bodega=document.querySelector("#inbodega").value;

     


        $.ajax({
            data: {"codigoProdutPadreee":codigoProdutPadre, "productoq": codigoP, "bodega": bodega,"quitar":"true"}, //datos que se envian a traves de ajax
            url: "../controlador/config/terminado1.php", //archivo que recibe la peticion
            type: 'post', //método de envio
    
            // beforeSend: function() {
            //     $('#modalcarga').modal('show');
    
            // },
    
            success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
               console.log(response)
               
                // var respuest = JSON.parse(response);
                
                if(response=="ok"){
                    e.target.parentElement.parentElement.remove()

                }
            }
            })





            

    }



})




    


